﻿Imports System
Imports Wisej.Web
Imports System.data

Public Class Window1


    Dim WdVCompanies As DataView = Nothing
    Dim WdVCountries As DataView = Nothing


    Private Sub Window1_Load(sender As Object, e As EventArgs) Handles Me.Load

        Init_Data()

    End Sub


    Private Function Init_Data() As Boolean


        '   Declare DataTable
        Dim Table1 As New DataTable
        Dim Table2 As New DataTable

        '   Define columns
        Table1.Columns.Add("Number", GetType(System.String))
        Table1.Columns.Add("Name", GetType(System.String))
        Table1.Columns.Add("Country", GetType(System.String))

        Table2.Columns.Add("Country", GetType(System.String))
        Table2.Columns.Add("Description", GetType(System.String))


        '   Add rows of data
        Table1.Rows.Add("1", "EasyProgram", "NL")
        Table1.Rows.Add("2", "BASF", "DE")
        Table1.Rows.Add("3", "Cerda Baleares SL", "ES")

        Table2.Rows.Add("NL", "Netherlands")
        Table2.Rows.Add("DE", "Germany")
        Table2.Rows.Add("ES", "Spain")


        WdVCompanies = Table1.DefaultView
        WdVCountries = Table2.DefaultView

        '   Set the DataGridView data...
        DataGridView1.DataSource = WdVCompanies



        '   This works fine in Visual Webgui:

        '   1. remove the original column from the DataGridView...
        DataGridView1.Columns.Remove("Country")

        '   2. Construct a combobox column with the same name and add this to the datagridview...
        Dim cc As New DataGridViewComboBoxColumn
        cc.DisplayMember = "Description"
        cc.ValueMember = "Country"
        cc.DataSource = WdVCountries
        cc.Name = "Country"
        cc.Width = 200
        cc.HeaderText = "Country"
        cc.DisplayIndex = 2
        cc.ReadOnly = False
        DataGridView1.Columns.Add(cc)





        '   Set the Combobox editable...
        DataGridView1.EditMode = DataGridViewEditMode.EditOnEnter

        Return True
    End Function


End Class
